# vulporuza.zsh-theme

typeset my_gray="$FG[240]"

# Primary prompt
if  [ -z "${__GIT_PROMPT_DIR}" ]; then
	PS1='$my_gray${(r:$COLUMNS::-:)}%{$reset_color%}╭ %T %{$FG[208]%}%~%{$reset_color%}$(git_prompt_info)
╰ %(!.#.») '
else
	PS1='$my_gray${(r:$COLUMNS::-:)}%{$reset_color%}╭ %T %{$FG[208]%}%~%{$reset_color%}$(git_super_status)
╰ %(!.#.») '
fi
PS2='%{$fg[red]%}\ %{$reset_color%}'

# Right prompt
RPS1='%(?..%{$fg[red]%}%? ↵%{$reset_color%}) $FG[245]%n@%m%{$reset_color%}%'

# Git theme
ZSH_THEME_GIT_PROMPT_PREFIX=" %{$reset_color%}["
ZSH_THEME_GIT_PROMPT_SUFFIX="%{$reset_color%}]"

if  [ -z "${__GIT_PROMPT_DIR}" ]; then
	# git settings
	ZSH_THEME_GIT_PROMPT_CLEAN="%{$reset_color%}|%{$FG[034]%}✔"
	ZSH_THEME_GIT_PROMPT_DIRTY="%{$reset_color%}|%{$FG[075]%}…"
else
	ZSH_THEME_GIT_PROMPT_HASH_PREFIX=":"
	ZSH_THEME_GIT_PROMPT_SEPARATOR="|"
	ZSH_THEME_GIT_PROMPT_BRANCH="%{$fg_bold[magenta]%}"
	ZSH_THEME_GIT_PROMPT_STAGED="%{$fg[red]%}%{●%1G%}"
	ZSH_THEME_GIT_PROMPT_CONFLICTS="%{$fg[red]%}%{✖%1G%}"
	ZSH_THEME_GIT_PROMPT_CHANGED="%{$fg[blue]%}%{✚%1G%}"
	ZSH_THEME_GIT_PROMPT_BEHIND="%{↓%1G%}"
	ZSH_THEME_GIT_PROMPT_AHEAD="%{↑%1G%}"
	ZSH_THEME_GIT_PROMPT_STASHED="%{$fg_bold[blue]%}%{⚑%1G%}"
	ZSH_THEME_GIT_PROMPT_UNTRACKED="%{$fg[cyan]%}%{…%1G%}"
	ZSH_THEME_GIT_PROMPT_CLEAN="%{$fg_bold[green]%}%{✔%1G%}"
	ZSH_THEME_GIT_PROMPT_LOCAL=" L"
	# The remote branch will be shown between these two
	ZSH_THEME_GIT_PROMPT_UPSTREAM_FRONT=" {%{$fg[blue]%}"
	ZSH_THEME_GIT_PROMPT_UPSTREAM_END="%{${reset_color}%}}"
	ZSH_THEME_GIT_PROMPT_MERGING="%{$fg_bold[magenta]%}|MERGING%{${reset_color}%}"
	ZSH_THEME_GIT_PROMPT_REBASE="%{$fg_bold[magenta]%}|REBASE%{${reset_color}%} "
	ZSH_THEME_GIT_PROMPT_BISECT="%{$fg_bold[magenta]%}|BISECT%{${reset_color}%} "
fi

function theme_preexec {
	print -nr $'\e]2;'"$USER@$(hostname) » $PWD » $2"$'\a'
}
add-zsh-hook preexec theme_preexec

function theme_precmd {
	print -nr $'\e]2;'"$USER@$(hostname) » $PWD"$'\a'
}
add-zsh-hook precmd theme_precmd
